[librsvg: 2/7] Add an msys2-mingw64 CI job
- From: Marge Bot <marge-bot src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [librsvg: 2/7] Add an msys2-mingw64 CI job
- Date: Thu, 18 Nov 2021 00:55:29 +0000 (UTC)
commit 9bf5957e103ed734f411f4354b03d08344948b9b
Author: Federico Mena Quintero <federico gnome org>
Date: Wed Nov 17 11:41:25 2021 -0600
Add an msys2-mingw64 CI job
Copied from Pango's.
Part-of: <https://gitlab.gnome.org/GNOME/librsvg/-/merge_requests/636>
.gitlab-ci.yml | 14 ++++++++++++++
.gitlab-ci/test-msys2.sh | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 2fc8af5f..78529c75 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -204,6 +204,20 @@ debian:testing:
- make check
allow_failure: true
+msys2-mingw64:
+ stage: cross distro
+ tags:
+ - win32-ps
+ variables:
+ MSYSTEM: "MINGW64"
+ CHERE_INVOKING: "yes"
+ script:
+ - C:\msys64\usr\bin\pacman --noconfirm -Syyuu
+ - C:\msys64\usr\bin\bash -lc "bash -x ./.gitlab-ci/test-msys2.sh"
+ rules:
+ - if: '$CI_PIPELINE_SOURCE == "push"'
+ - if: '$CI_PIPELINE_SOURCE == "schedule"'
+
distcheck:
stage: release
extends: .distro
diff --git a/.gitlab-ci/test-msys2.sh b/.gitlab-ci/test-msys2.sh
new file mode 100644
index 00000000..61bd2f23
--- /dev/null
+++ b/.gitlab-ci/test-msys2.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e
+
+if [[ "$MSYSTEM" == "MINGW32" ]]; then
+ export MSYS2_ARCH="i686"
+else
+ export MSYS2_ARCH="x86_64"
+fi
+
+pacman --noconfirm -Suy
+
+pacman --noconfirm -S --needed \
+ base-devel \
+ mingw-w64-$MSYS2_ARCH-gtk-doc \
+ mingw-w64-$MSYS2_ARCH-gobject-introspection \
+ mingw-w64-$MSYS2_ARCH-gdk-pixbuf2 \
+ mingw-w64-$MSYS2_ARCH-harfbuzz \
+ mingw-w64-$MSYS2_ARCH-fontconfig \
+ mingw-w64-$MSYS2_ARCH-fribidi \
+ mingw-w64-$MSYS2_ARCH-libthai \
+ mingw-w64-$MSYS2_ARCH-cairo \
+ mingw-w64-$MSYS2_ARCH-pango \
+ mingw-w64-$MSYS2_ARCH-libxml2 \
+ mingw-w64-$MSYS2_ARCH-toolchain \
+ mingw-w64-$MSYS2_ARCH-rust \
+ mingw-w64-$MSYS2_ARCH-cantarell-fonts
+
+mkdir -p _build
+cd _build
+
+# Stolen from https://github.com/msys2/MINGW-packages/blob/master/mingw-w64-librsvg/PKGBUILD
+../autogen.sh LIBS="-lws2_32 -luserenv"
+make
+make check
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]